#include <Entity/EntityManager.h>

#include <Entity/Entity.h>

namespace Game
{
    namespace
    {
        EntityManager Manager;
    }

    EntityID EntityManager::ID = 0;

    void InitEntityManager() {}

    EntityManager& GetEntityManager()
    {
        return Manager;
    }

    void RegisterEntity(EntityManager& /*manager*/, Entity* entity)
    {
        entity->ID = EntityManager::ID++;
    }
} // namespace Game
